/* 
 * File:   CONU1.h
 * Author: Mike
 * consol I/o librarary for PIC32
 * Created on March 2, 2015, 11:41 AM
 */

#ifndef CONU1_H
    #define	CONU1_H
#endif


//#define CTS 	_RF12   // Cleart To Send, input, HW handshake
//#define RTS     _RF13   // Request To Send, output, HW handshake
#define BACKSPACE 0x8   // ASCII backspace character code

// init the serial port (UART1, 9600@8MHz, 8, N, 1, CTS/RTS )
void initU1( void);

// send a character to the serial port
int putU1( int c);

// wait for a new character to arrive to the serial port
char getU1( void);

// send a null terminated string to the serial port
void putsU1( char *s);

// receive a null terminated string in a buffer of len char
char * getsn1( char *s, int n);

// useful macros
#define clrscr1() putsU1( "\x1b[2J")
#define home1()   putsU1( "\x1b[H")
#define pcr1()    putU1( '\r')
