/* 
 * File:   CONU2.h
 * Author: Mike
 * consol I/o librarary for PIC32
 * Created on March 2, 2015, 11:41 AM
 */

#ifndef CONU2_H
    #define	CONU2_H
#endif


//#define CTS 	_RF12   // Cleart To Send, input, HW handshake
//#define RTS     _RF13   // Request To Send, output, HW handshake
#define BACKSPACE 0x8   // ASCII backspace character code

// init the serial port (UART2, 9600@8MHz, 8, N, 1, CTS/RTS )
void initU2( void);

// send a character to the serial port
int putU2( int c);

// wait for a new character to arrive to the serial port
char getU2( void);

// send a null terminated string to the serial port
void putsU2( char *s);

// receive a null terminated string in a buffer of len char
char * getsn2( char *s, int n);

// useful macros
#define clrscr2() putsU2( "\x1b[2J")
#define home2()   putsU2( "\x1b[H")
#define pcr2()    putU2( '\r')
